Create a Discovery Job
post
/api/app/discovery/{zoneid}/v2/devices/discover
Creates a new job to discover devices.
Request
Path Parameters
-
zoneid(required): string
The ID for the zone in which the Discovery Service is deployed.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe payload for a discovery request.
Show Source
-
Data: object
Data
The discovery request data.
-
Type: string
Allowed Values:
[ "discovery" ]The type of discovery. -
Version: string
The discovery version.Example:
2.0.0
Nested Schema : Data
Type:
objectThe discovery request data.
Show Source
-
autoMonitor: boolean
Set this to complete discovery automatically.Example:
false -
Configuration: object
Configuration
The ICMP, SNMP and REST Configuration for discovery.
-
DiscoveryJobID: integer
Run Discovery Associated to a Discovery Job ID. Optional.Example:
1 -
ExcludedIPList: array
ExcludedIPList
List of IP Addresses to exclude.
-
InventoryEngine: string
Discovery inventory engine name.Example:
inventory-engine-name -
IPList: array
IPList
List of IP Addresses.
-
IPRanges: array
IPRanges
List of IP Ranges. Supports CIDR ranges.
-
Level: array
Level
Type of polling enabled for discovery. Possible values are 1 for ping, 2 for SNMP, and 3 for REST.
-
TenantID: integer
Discovery for TenantID. Optional.Example:
1
Nested Schema : Configuration
Type:
objectThe ICMP, SNMP and REST Configuration for discovery.
Show Source
-
ContextExpiryTimeM: integer
Minimum Value:
0Maximum Value:2147483647The number of minutes before the discovery expires.Example:60 -
ForcedProtocolDiscovery: boolean
Allowed Values:
[ true, false ]Whether to discover every protocol regardless of ICMP result (true) or not (false). -
GNMIConfiguration: array
GNMIConfiguration
The list of gNMI configurations.
-
ICMPConfiguration: array
ICMPConfiguration
The list of ICMP configurations.
-
RESTConfiguration: array
RESTConfiguration
The list of REST configurations.
-
SNMPConfiguration: array
SNMPConfiguration
The list of SNMP configurations.
Nested Schema : ExcludedIPList
Type:
arrayList of IP Addresses to exclude.
Show Source
Example:
[
"192.0.2.6"
]Nested Schema : IPList
Type:
arrayList of IP Addresses.
Show Source
Example:
[
"203.0.113.0",
"203.0.113.1"
]Nested Schema : IPRanges
Type:
arrayList of IP Ranges. Supports CIDR ranges.
Show Source
Example:
[
"192.0.2.0/24",
"198.51.100.0-198.51.100.5"
]Nested Schema : Level
Type:
arrayType of polling enabled for discovery. Possible values are 1 for ping, 2 for SNMP, and 3 for REST.
Show Source
-
Array of:
integer
Allowed Values:
[ 1, 2, 3 ]
Example:
[
1,
2,
3
]Nested Schema : GNMIConfiguration
Type:
arrayThe list of gNMI configurations.
Show Source
-
Array of:
object GNMIConfiguration
Configurations for gNMI collectors.
Nested Schema : ICMPConfiguration
Type:
arrayThe list of ICMP configurations.
Show Source
-
Array of:
object V2ICMPConfiguration
The ICMP payload configuration.
Nested Schema : RESTConfiguration
Type:
arrayThe list of REST configurations.
Show Source
-
Array of:
object RESTConfiguration
REST configurations for Cisco Meraki, Juniper MIST and VMWare connections.
Nested Schema : SNMPConfiguration
Type:
arrayThe list of SNMP configurations.
Show Source
-
Array of:
object V2SNMPConfiguration
The V2 SNMP payload configuration.
Nested Schema : GNMIConfiguration
Type:
objectConfigurations for gNMI collectors.
Show Source
-
Mode: string
Allowed Values:
[ "insecure", "secure" ]Mode used to connect.Example:insecure -
Password: string
The base64-encoded password to connect.Example:
dGVzdA== -
Port: integer
Minimum Value:
0Maximum Value:65535The port number for the REST API URL.Example:50051 -
Username: string
The base64-encoded username used to connect.Example:
YWRtaW4=
Nested Schema : V2ICMPConfiguration
Type:
objectThe ICMP payload configuration.
Show Source
-
CascadeMs: integer
Minimum Value:
0Maximum Value:2147483647The number of milliseconds between two successful pings.Example:5 -
COMType: string
Allowed Values:
[ "ACOM", "PCOM", "ACOM_PCOM" ]Type of ICMP Discovery. Can be ICMP Availability, ICMP Performance, or both.Example:ACOM -
Count: integer
Minimum Value:
0Maximum Value:2147483647The number of ping requests to send.Example:5 -
Mode(required): integer
Allowed Values:
[ 0, 1 ]The ICMP mode. Possible values are 0 for synchronous and 1 for asynchronous.Example:1 -
Timeouts: integer
Minimum Value:
0Maximum Value:2147483647The number of milliseconds to wait for the ping message corresponding to a given ping.Example:10
Nested Schema : RESTConfiguration
Type:
objectREST configurations for Cisco Meraki, Juniper MIST and VMWare connections.
Show Source
-
APIAccessID: string
The base64-encoded API access ID for the REST API URL.Example:
dGVzdA== -
APIAccessKey: string
The base64-encoded API access key for the REST API URL.Example:
ZXhhbXBsZQ== -
APIType(required): string
Allowed Values:
[ "vmware" ]The REST API type.Example:vmware -
Port: integer
Minimum Value:
0Maximum Value:65535The port number for the REST API URL.Example:8080 -
Protocol(required): string
Allowed Values:
[ "http", "https" ]The protocol used for the REST API.Example:https -
Url: string
The REST API URL for Meraki, VMWare or Mist.Example:
192.0.2.0
Nested Schema : V2SNMPConfiguration
Type:
objectThe V2 SNMP payload configuration.
Show Source
-
COMType: string
Allowed Values:
[ "ACOM", "PCOM", "ACOM_PCOM" ]Type of SNMP Discovery. Can be SNMP Availability, SNMP Performance, or both.Example:ACOM -
CustomSNMPAccessProfile: object
CustomSNMPAccessProfile
A custom SNMP access profile.
-
IPAddress: string
The IP address for discovery.Example:
192.0.2.10 -
IPRange: string
The IP range for discovery.Example:
192.0.2.0/24 -
Method: string
Allowed Values:
[ "BULK", "GET" ]The SNMP method.Example:BULK -
NetworkOptions: object
NetworkOptions
Network options for SNMP communication.
-
ProbeV2Support: boolean
Whether probe v2 support is enabled.Example:
false
Nested Schema : CustomSNMPAccessProfile
Type:
objectA custom SNMP access profile.
Show Source
-
Auth: object
CustomSNMPAccessProfileAuth
Custom SNMP access profile authentication information.
-
MTU: integer
Minimum Value:
0Maximum Value:2147483647The MTU for the custom SNMP access profile.Example:1456 -
Port: integer
Minimum Value:
0Maximum Value:65535The custom SNMP access profile port.Example:161 -
Priority: integer
Minimum Value:
0Maximum Value:2147483647The custom SNMP access profile priority.Example:1 -
ProfileID: integer
Minimum Value:
0Maximum Value:4294967295The custom SNMP access profile ID.Example:1 -
UUID: string
(uuid)
The custom SNMP access profile UUID.Example:
df29b366-c3a4-4a89-8ec8-2f1527276c75 -
Version(required): integer
Allowed Values:
[ 1, 2, 3 ]The custom SNMP access profile version.Example:2
Nested Schema : NetworkOptions
Type:
objectNetwork options for SNMP communication.
Show Source
-
ExponentialTimeout: boolean
Allowed Values:
[ true, false ]The status is enabled to timeout exponentially if the request fails.Example:false -
MaxOids: integer
Minimum Value:
0Maximum Value:128The maximum SNMP OID value.Example:100 -
MaxRepetitions: integer
Minimum Value:
0Maximum Value:2147483647The maximum number of repetitions.Example:50 -
NonRepeaters: integer
Minimum Value:
0Maximum Value:2147483647The number of non repeaters.Example:1 -
Retries: integer
Minimum Value:
0Maximum Value:2147483647The number of times to retry the request.Example:3 -
Timeout: string
Allowed Values:
[ "1s", "2m", "3h", "4d" ]The number of seconds, minutes, hours, or days before the request times out.Example:5s
Nested Schema : CustomSNMPAccessProfileAuth
Type:
objectCustom SNMP access profile authentication information.
Show Source
-
AuthEngineID: string
The custom SNMP access profile authentication engine ID.Example:
80001adc802417e202b8613f5400000000 -
AuthPassphrase: string
The custom SNMP access profile authentication passphrase.Example:
QXV0aFBhc3N3b3Jk -
AuthProtocol: string
The custom SNMP access profile authentication protocol.Example:
SHA256 -
AuthType: string
Allowed Values:
[ "NOAUTHNOPRIV", "AUTHNOPRIV", "AUTHPRIV" ]The custom SNMP access profile authentication type.Example:AUTHPRIV -
Community: string
The custom SNMP access profile community string.Example:
public -
PrivPassphrase: string
The custom SNMP access profile private passphrase.Example:
UHJpdlBhc3N3b3Jk -
PrivProtocol: string
The custom SNMP access profile private protocol.Example:
AES -
Username: string
The custom SNMP access profile user name.Example:
user
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DiscoveryCreateResponse
Type:
Show Source
object-
DiscoveryContextID: string
The ID obtained from discovery request.Example:
disco-01f107bd-655f-42e0-ae1c-ac4740e734e7 -
time-valid: integer
The number of seconds the discovery result is valid.Example:
3600
400 Response
Bad request
401 Response
Unauthorized operation
500 Response
Internal server error